Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 720374

Summary: net-firewall/firewalld-0.9.3 version bump
Product: Gentoo Linux Reporter: Dennis Schridde <devurandom>
Component: Current packagesAssignee: Virtualization Team <virtualization>
Status: IN_PROGRESS ---    
Severity: normal CC: bog, flyingwaffle, jstein
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: ebuild for 0.8.3
ebuild with fixed use flags

Description Dennis Schridde 2020-05-02 06:24:02 UTC
Version 0.8.2 was released a while ago: https://firewalld.org/2020/04/firewalld-0-8-2-release
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2020-07-05 18:57:40 UTC
*** Bug 730764 has been marked as a duplicate of this bug. ***
Comment 2 FlyingWaffle 2020-07-05 19:05:45 UTC
Created attachment 647846 [details]
ebuild for 0.8.3

Should resolve issue.
For Python 3.8 compatibility to be added, dev-python/python-slip needs to have it added as well.
Comment 3 FlyingWaffle 2020-07-11 16:03:53 UTC
Created attachment 648918 [details]
ebuild with fixed use flags

I had messed up the USE flags, they're fixed now.
Comment 4 Dennis Schridde 2020-12-03 23:02:18 UTC
0.9.1 was released two months ago: https://firewalld.org/2020/10/firewalld-0-9-1-release
Comment 5 Dennis Schridde 2020-12-03 23:03:33 UTC
(In reply to FlyingWaffle from comment #2)
> Created attachment 647846 [details]
> ebuild for 0.8.3
> 
> Should resolve issue.
> For Python 3.8 compatibility to be added, dev-python/python-slip needs to
> have it added as well.

https://github.com/nphilipp/python-slip looks very much unmaintained.  Is it still needed to build / run firewalld?  Is there an alternative?
Comment 6 Matthias Maier gentoo-dev 2020-12-04 05:28:58 UTC
Yes, slip is still needed.
Comment 7 Andreas Sturmlechner gentoo-dev 2021-02-16 14:47:45 UTC
0.9.1 is in tree since Dec 3rd, bug was forgotten to close?